[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - r -

- radius() : Gaussian , CoscotFunction , CatmullRomSpline , BSplineBase
- RandomNumberGenerator() : RandomNumberGenerator
- Rational() : Rational
- rbegin() : ImageArray , ImagePyramid , ArrayVectorView
- Real : PolynomialView , Polynomial , StaticPolynomial
- RealPromote : PolynomialView
- rear() : NeighborCode3D
- rearBottom() : NeighborCode3D
- rearBottomLeft() : NeighborCode3D
- rearBottomRight() : NeighborCode3D
- rearLeft() : NeighborCode3D
- rearRight() : NeighborCode3D
- rearTop() : NeighborCode3D
- rearTopLeft() : NeighborCode3D
- rearTopRight() : NeighborCode3D
- Rect2D() : Rect2D
- red() : RGBValue , RGBAccessor
- ReduceFunctor() : ReduceFunctor
- reference : Kernel1D , TinyVectorBase , TinyVector , TinyVectorView , BasicImage , BasicImageView , CrackContourCirculator , Diff2D , Point2D , FFTWComplex , ImageIteratorBase , ConstValueIterator , ColumnIterator , RowIterator , LineIterator , ArrayOfRegionStatistics , Matrix , MultiArrayView , MultiArray , MultiIterator , StridedMultiIterator , NeighborOffsetCirculator , NeighborhoodCirculator , RestrictedNeighborhoodCirculator
- relativeDiff() : NeighborCode , NeighborOffsetCirculator , NeighborCode3D
- rend() : ArrayVectorView , ImageArray , ImagePyramid
- reserve() : ImageArray
- reset() : FindMinMax , FindAverage , FindAverageAndVariance , FindROISize , FindBoundingRectangle , LastValueFunctor , ReduceFunctor , ArrayOfRegionStatistics
- reshape() : Matrix , MultiArray
- resize() : BasicImage , ImageArray , ImagePyramid , ArrayOfRegionStatistics
- resizeCopy() : BasicImage
- resizeImages() : GaborFilterFamily , ImageArray
- RestrictedNeighborhoodCirculator() : RestrictedNeighborhoodCirculator
- result_type : UniformIntRandomFunctor , RGBPrime2LabFunctor , Luv2RGBPrimeFunctor , Lab2RGBPrimeFunctor , RGBPrime2YPrimePbPrFunctor , YPrimePbPr2RGBPrimeFunctor , RGBPrime2YPrimeIQFunctor , YPrimeIQ2RGBPrimeFunctor , YPrimeUV2RGBPrimeFunctor , RGBPrime2YPrimeCbCrFunctor , YPrimeCbCr2RGBPrimeFunctor , RGBGradientMagnitudeFunctor , Gaussian , FindMinMax , FindAverage , FindAverageAndVariance , FindROISize , FindBoundingRectangle , ArrayOfRegionStatistics , ReduceFunctor , DiffusivityFunctor , LastValueFunctor , UniformRandomFunctor , CoscotFunction , BSplineBase , Lab2RGBFunctor , RGBPrime2YPrimeUVFunctor , GammaFunctor , VectorNormFunctor , VectorNormSqFunctor , MagnitudeFunctor , RGBPrime2LuvFunctor , XYZ2LuvFunctor , NormalRandomFunctor , RGB2LuvFunctor , XYZ2LabFunctor , RGB2XYZFunctor , RGB2RGBPrimeFunctor , BrightnessContrastFunctor , RGB2sRGBFunctor , RGBPrime2RGBFunctor , sRGB2RGBFunctor , RGBPrime2XYZFunctor , XYZ2RGBFunctor , XYZ2RGBPrimeFunctor , SeedRgDirectValueFunctor , CatmullRomSpline , Luv2RGBFunctor , Threshold , Luv2XYZFunctor , Lab2XYZFunctor , RGB2LabFunctor
- RGB2LabFunctor() : RGB2LabFunctor
- RGB2LuvFunctor() : RGB2LuvFunctor
- RGB2RGBPrimeFunctor() : RGB2RGBPrimeFunctor
- RGB2sRGBFunctor() : RGB2sRGBFunctor
- RGB2XYZFunctor() : RGB2XYZFunctor
- RGBPrime2LabFunctor() : RGBPrime2LabFunctor
- RGBPrime2LuvFunctor() : RGBPrime2LuvFunctor
- RGBPrime2RGBFunctor() : RGBPrime2RGBFunctor
- RGBPrime2XYZFunctor() : RGBPrime2XYZFunctor
- RGBPrime2YPrimeCbCrFunctor() : RGBPrime2YPrimeCbCrFunctor
- RGBPrime2YPrimeIQFunctor() : RGBPrime2YPrimeIQFunctor
- RGBPrime2YPrimePbPrFunctor() : RGBPrime2YPrimePbPrFunctor
- RGBPrime2YPrimeUVFunctor() : RGBPrime2YPrimeUVFunctor
- RGBValue() : RGBValue
- right() : Rect2D , Kernel1D , NeighborCode , NeighborCode3D , NeighborCode , NeighborCode3D
- row_iterator : BasicImageView , ImageIteratorBase , ConstValueIterator , BasicImage , Diff2D
- rowBegin() : BasicImage , BasicImageView , BasicImage , BasicImageView
- rowCount() : Matrix
- rowEnd() : BasicImageView , BasicImage
- rowIterator() : Diff2D , ConstValueIterator
- RowIterator() : RowIterator
- rowVector() : Matrix

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)